// doing request
makeRequest({
  method: 'POST',
  url: `${hostName}/v2/devices/${imei}/connect-media`,
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${token}`
  }
}).then((datum) => {
  // converting response into JS object
  const response = JSON.parse(datum)

  // URL to view recording video
  const viewURL = `https://${response.data.address}/rec/${imei}/${cameraId}/${response.data.mediaToken}/${timestamp}/${duration}/${recordingQuality}/rec.mp4`;

  // Applying the url and viewing in player
  const videoPlayer = document.getElementById('videoPlayer')
  videoPlayer.src = viewURL
  videoPlayer.load()

  // URL to download video
  const downloadURL = `https://${response.data.address}/download/${imei}/${response.data.mediaToken}/${imei}_${cameraId}_${timestamp}_${duration}_${recordingQuality}.mp4`;
      
  // Put it under the player for convenience
  showLinkForDownload(downloadURL)

}).catch(function (err) {
  console.error('Augh, there was an error!', err.statusText);
});